import { Component, OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from 'src/app/routes/frame/core/detail/frame.detail';

@Component({
  selector: 'app-std-without-exam-remark',
  templateUrl: './std-without-exam-remark.component.html',
  styleUrls: ['./std-without-exam-remark.component.scss']
})
export class StdWithoutExamRemarkComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) { 
    super(bsModalRef);
    this.detailForm = fb.group({
      
    });
  }

  ngOnInit(): void {
  }

  refuseWithoutExam() {
    // if(!this.currentEntity.without_exam_remark || this.currentEntity.without_exam_remark.length == 0) {
    //   this.MsgService.errorAlert('请填写不通过理由！');
    //   return;
    // }
    this.AjaxService.request("std/without/exam/material/refuse.htm", this.currentEntity, () => {
      this.MsgService.successToastr('审核成功！');
      this.closeWindow();
    });
  }

}
